Package org.apache.sysds.runtime.codegen

# Enum Class SpoofOuterProduct.OutProdType

java.lang.Object
java.lang.Enum<SpoofOuterProduct.OutProdType>
org.apache.sysds.runtime.codegen.SpoofOuterProduct.OutProdType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpoofOuterProduct.OutProdType>`, `Constable`

Enclosing class:
  SpoofOuterProduct

public static enum SpoofOuterProduct.OutProdType extends Enum<SpoofOuterProduct.OutProdType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AGG_OUTER_PRODUCT`
`CELLWISE_OUTER_PRODUCT`
`LEFT_OUTER_PRODUCT`
`RIGHT_OUTER_PRODUCT`

## Method Summary

Modifier and Type
Method
Description
`static SpoofOuterProduct.OutProdType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofOuterProduct.OutProdType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT_OUTER_PRODUCT

public static final SpoofOuterProduct.OutProdType LEFT_OUTER_PRODUCT

### RIGHT_OUTER_PRODUCT

public static final SpoofOuterProduct.OutProdType RIGHT_OUTER_PRODUCT

### CELLWISE_OUTER_PRODUCT

public static final SpoofOuterProduct.OutProdType CELLWISE_OUTER_PRODUCT

### AGG_OUTER_PRODUCT

public static final SpoofOuterProduct.OutProdType AGG_OUTER_PRODUCT

## Method Details

### values

public static SpoofOuterProduct.OutProdType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpoofOuterProduct.OutProdType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null